2019-12-13 14:06 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002528FSSCPSEXPspublic2011-11-19 21:50
ReporterMjnMixael 
Assigned ToEchelon9 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.13 
Target Version3.6.14Fixed in Version3.6.14 RC1 
Summary0002528: Jump Nodes in FRED and set-jumpnode-sexp
DescriptionI'm guessing these two things might be related, but it's possible that they aren't.

This occurs on builds later than build 7786 (The latest Nightly at time of reporting). I don't know at what revision it started because I didn't make builds going up the chain. I just know that 7786 does not have the issue.

First up: FRED can't place jumpnodes. It creates a dot (never shows the model), but when you save, it disappears. No jumpnode data seems to be saved to the mission file. However, you can add the jumpnode manually with notepad and FRED will properly display the node, however it seems unable to really work with it. (Can't rename it or FRED keeps thinking there is already a node named whatever you type.)

Second up: set-jumpnode-model and set-jumpnode-color don't work. Set-jumpnode-model causes a crash, set-jumpnode-color simply does nothing. I've included two missions. One that does each sexp. Both sexps work as expected on 7786.
Additional InformationIncluded with the missions is a special jumpnode model that should obviously go in data/models.

I've also included debug logs for my runs of each mission.

Missions built on MediaVPs.
TagsNo tags attached.
Attached Files

-Relationships
related to 0002523resolvedEchelon9 FRED not handling jump nodes correctly 
related to 0002540resolvedEchelon9 Compile warnings in jump_nodes refactor 
related to 0002541resolvedEchelon9 hide-jumpnode no longer works 
+Relationships

-Notes

~0012898

MjnMixael (manager)

I did some more testing. There were a lot of revisions that wouldn't build.. but 7845 works, 7856 does not.

~0012899

Zacam (administrator)

Assigning to Echelon9. Issue localize to Trunk r7855 & 7856, conversion to use STL's std::list.

In order to be able to place these conversions into 3.6.14 RC's (or to merge Antipodes to Trunk post .14 Release), we need a thorough examination of 7852, 7855 & 7856.

~0012900

The Trivial Psychic (reporter)

I've encountered these myself. I just today discovered the cant-create-jumpnode thing, and got around it with text editor too. In regards to the rename thing, that ties in with my bug report of 2523.

~0012902

Echelon9 (developer)

Will take a look at this one on the weekend. Thanks for the reproducing missions.

~0012972

Echelon9 (developer)

Possibly resolved as of r8012. Please check.

~0012976

MjnMixael (manager)

The sexps appear to work as expected on r8012.
+Notes

-Issue History
Date Modified Username Field Change
2011-10-24 22:18 MjnMixael New Issue
2011-10-24 22:18 MjnMixael File Added: JumpNodeTest.zip
2011-10-24 22:44 MjnMixael Note Added: 0012898
2011-10-24 23:27 Zacam Assigned To => Echelon9
2011-10-24 23:27 Zacam Priority normal => urgent
2011-10-24 23:27 Zacam Status new => assigned
2011-10-24 23:27 Zacam Target Version => 3.6.14
2011-10-24 23:30 Zacam Note Added: 0012899
2011-10-26 23:10 The Trivial Psychic Note Added: 0012900
2011-10-27 09:09 Echelon9 Note Added: 0012902
2011-11-11 08:48 Zacam Relationship added related to 0002523
2011-11-13 01:31 Goober5000 Relationship added related to 0002540
2011-11-13 02:20 Goober5000 Relationship added related to 0002541
2011-11-19 01:20 Echelon9 Note Added: 0012972
2011-11-19 01:20 Echelon9 Status assigned => feedback
2011-11-19 09:41 MjnMixael Note Added: 0012976
2011-11-19 21:50 Echelon9 Status feedback => resolved
2011-11-19 21:50 Echelon9 Fixed in Version => 3.6.14 RC1
2011-11-19 21:50 Echelon9 Resolution open => fixed
+Issue History